Page MenuHomePhabricator

Add variable validator for ajapaik-app
Closed, ResolvedPublic

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 28 2019, 3:11 PM
Nikerabbit renamed this task from Add variable validator for Ajapaik-android to Add variable validator for ajapaik-app.Oct 28 2019, 3:12 PM
abi_ claimed this task.Mar 3 2020, 7:09 AM
abi_ triaged this task as Medium priority.
abi_ added a subscriber: abi_.

A lack of this was causing incorrect translations to get pushed, hence fixing this now.

Change 576199 had a related patch set uploaded (by Abijeet Patro; owner: Abijeet Patro):
[translatewiki@master] Add required validators for Ajapaik

https://gerrit.wikimedia.org/r/576199

Change 576199 merged by jenkins-bot:
[translatewiki@master] Add required validators and suggesters for Ajapaik

https://gerrit.wikimedia.org/r/576199

abi_ closed this task as Resolved.Mar 4 2020, 4:32 PM
abi_ moved this task from In Review to Done on the Language-Team (Language-2020-January-March) board.

Deployed and tested on twn.

abi_ reopened this task as Open.Mar 4 2020, 4:43 PM

Sorry, reopening this task. We've a small tweak to make here and fix the PythonInterpolation validator to also match variables with underscore such as %(album_name)s.

Change 577041 had a related patch set uploaded (by Abijeet Patro; owner: Abijeet Patro):
[mediawiki/extensions/Translate@master] Update PythonInterpolationValidator to match variable with underscore

https://gerrit.wikimedia.org/r/577041

Change 577041 merged by jenkins-bot:
[mediawiki/extensions/Translate@master] Update PythonInterpolationValidator to match variable with underscore

https://gerrit.wikimedia.org/r/577041

abi_ closed this task as Resolved.Mar 11 2020, 2:27 PM

Patch has been deployed on translatewiki.net and tested. Resolving this task.